SoLabel(3)

NAME
SoLabel - The SoLabel class is a node for holding label information in a scene graph.

SYNOPSIS

#include <Inventor/nodes/SoLabel.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoLabel (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFName label

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoLabel ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoLabel class is a node for holding label information in a scene graph. Use this node as a convenient way of labeling nodes or subgraphs within a scene graph.

SoLabel nodes does not influence traversal in any way for any of the built-in actions.

FILE FORMAT/DEFAULTS:

Label {
    label "<Undefined label>"
}

Constructor & Destructor Documentation

  SoLabel::SoLabel (void)
Constructor.

  SoLabel::~SoLabel () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLabel::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoLabel::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoLabel::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoLabel::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Member Data Documentation

  SoSFName SoLabel::label
Label text.

Author

Generated automatically by Doxygen for Coin from the source code.